[Gc] Desperately needing GC 7.1

Manuel.Serrano at sophia.inria.fr Manuel.Serrano at sophia.inria.fr
Tue Dec 18 02:10:02 PST 2007


Hello Andreas, 

First of all thanks for your quick answer. I appreciate it.

> Manuel.Serrano at sophia.inria.fr wrote:
> > As stated in the subject of this mail, I'm desperately needing the GC v 7.1.
> > 
> > I'm actually totally confused with the development model adopted for the GC!  
> > 
> > Indeed, the current stable version, the version 7.0 which is 6 months old 
> > as a severe problem:
> > 
> >  IT IS KNOWN NOT TO COMPILE ON RECENT MACOS X VERSION (LEOPARD). 
> To whom is it known?
On October 30th, I have posted a mail about problem with Leopard. Here is
an excerpt of a mail that has been posted to the Bigloo mailing list (the
compiler I'm in charge of), reporting again that problem :

-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----
cd /Users/sgonzi/bigloo3.0c/gc-boehm && \
         if [ "yes" = "yes" ]; then \
           make \
             /Users/sgonzi/bigloo3.0c/lib/3.0c/libbigloogc-3.0c.dylib \
             CFLAGS="-DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DGC_DARWIN_THREADS -DFINALIZE_ON_DEMAND  -I/Users/sgonzi/bigloo3.0c/lib/3.0c -O3 -fno-reorder-blocks -fPIC  -fPIC" \
             LD="gcc -r"; \
         fi)

gcc  -DNO_DEBUGGING -Iinclude -Ilibatomic_ops-install/include -DGC_DARWIN_THREADS -DFINALIZE_ON_DEMAND  -I/Users/sgonzi/bigloo3.0c/lib/3.0c -O3 -fno-reorder-blocks -fPIC  -fPIC   -c -o os_dep.o os_dep.c
os_dep.c: In function catch_exception_raise:
os_dep.c:3908: error: x86_exception_state32_t has no member named faultvaddr
make[4]: *** [os_dep.o] Error 1
make[3]: *** [gcshared] Error 2
make[2]: *** [gc] Error 1
make[1]: *** [boot-gc] Error 2
make: *** [boot] Error 2
== 
My sytem: 2 GHz Intel Core 2 Duo,Mac OSX 10.5 (Leopard), gcc=i686-apple-darwin9-gcc-4.0.1:
-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----|-----

Thanks to you!

-- 
Manuel

ps: As I said in my previous mail. This is likely to be a "small" problem 
this the GC 7.0 is binary compatible with 10.4. It's only the compilation
that fails on 10.5.


More information about the Gc mailing list